lv.pasts.eme.edoc

## Class EDOCValidatorResult

- java.lang.Object
- - lv.pasts.eme.edoc.EDOCValidatorResult

-     public final class EDOCValidatorResult
      extends Object

  `EDOCValidatorResult` class represents the result of the EDOC validation process.

  An instance of `EDOCValidatorResult` class represents the validation type and the resulting status. Each `EDOCValidatorResult` object can optionally contain a list of child validation results. For example, the root `EDOCValidatorResult` object will contain nested `EDOCValidatorResult` objects for each signature available in the current `EDOC`.

  If EDOC validation failed an application can get the critical `EDOCValidatorResult` object using the `getCriticalResult()` method of the root `EDOCValidatorResult` object.

  See Also:
    `EDOC.validate(EDOCValidatorListener)`, `EDOCSignature.validate(EDOCValidatorListener)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CHECK_STATUS_FAILED` Status indicates that the check failed.
    `static int` | `CHECK_STATUS_NOT_CHECKED` Status indicates that the check has not failed but there is insufficient information to determine if the check is valid.
    `static int` | `CHECK_STATUS_PASSED` Status indicates that the check is successful.
    `static int` | `TYPE_MANIFEST_RELATIONSHIPS` Result type - EDOC structure - manifest ralationships.
    `static int` | `TYPE_PACKAGE_RELATIONSHIPS` Result type - EDOC structure - package ralationships.
    `static int` | `TYPE_PROPERTIES` Result type - EDOC properties.
    `static int` | `TYPE_PROPERTIES_BASE` Result type - EDOC properties - base.
    `static int` | `TYPE_PROPERTIES_CORE` Result type - EDOC properties - core.
    `static int` | `TYPE_PROPERTIES_EXTENDED` Result type - EDOC properties - extended.
    `static int` | `TYPE_ROOT` Result type - ROOT.
    `static int` | `TYPE_SIGNATURE` Result type - EDOC signature.
    `static int` | `TYPE_SIGNATURE_CERT_PATH_BUILD` Result type - EDOC signature certificate - chain build.
    `static int` | `TYPE_SIGNATURE_CERT_PATH_CHECK` Result type - EDOC signature certificate - chain check [OCSP].
    `static int` | `TYPE_SIGNATURE_CERT_PATH_CRL_CHECK` Result type - EDOC signature certificate - chain check [CRL].
    `static int` | `TYPE_SIGNATURE_PROPERTIES` Result type - EDOC signature - properties.
    `static int` | `TYPE_SIGNATURE_REFERENCE` Result type - EDOC signature - reference.
    `static int` | `TYPE_SIGNATURE_STRUCTURE` Result type - EDOC signature - structure.
    `static int` | `TYPE_SIGNATURE_TIMESTAMP` Result type - EDOC signature timestamp.
    `static int` | `TYPE_SIGNATURE_TIMESTAMP_CERT_PATH` Result type - EDOC signature timestamp - certificate chain check [OCSP].
    `static int` | `TYPE_SIGNATURE_TIMESTAMP_CERT_PATH_CRL` Result type - EDOC signature timestamp - certificate chain check [CRL].
    `static int` | `TYPE_SIGNATURE_VALUE` Result type - EDOC signature - value.
    `static int` | `TYPE_STRUCTURE` Result type - EDOC structure.
    `static int` | `TYPE_XADES_C` Result type - XAdES-C.
    `static int` | `TYPE_XADES_C_CERT_PATH_BUILD` Result type - XAdES-C - chain build.
    `static int` | `TYPE_XADES_C_CRL_OCSP` Result type - XAdES-C - OCSP CRL.
    `static int` | `TYPE_XADES_C_CRL_TSA` Result type - XAdES-C - TSA CRL.
    `static int` | `TYPE_XADES_C_OCSP_CERT_PATH_BUILD` Result type - XAdES-C - OCSP chain build.
    `static int` | `TYPE_XADES_C_OCSP_CERT_PATH_CHECK` Result type - XAdES-C - OCSP chain check.
    `static int` | `TYPE_XADES_C_OCSP_RESPONSE` Result type - XAdES-C - OCSP response.
    `static int` | `TYPE_XADES_C_TIMESTAMP_TIME` Result type - XAdES-C - timestamp time.
    `static int` | `TYPE_XADES_C_TRUSTED_ROOT` Result type - XAdES-C - chain trusted root.
    `static int` | `TYPE_XADES_C_TSA_CERT_PATH_BUILD` Result type - XAdES-C - TSA chain build.
    `static int` | `TYPE_XADES_C_TSA_CERT_PATH_CHECK` Result type - XAdES-C - TSA chain check.
    `static int` | `TYPE_XADES_C_TSA_TRUSTED_ROOT` Result type - XAdES-C - TSA chain trusted root.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCheckStatus()` Returns the status of this result.
    `EDOCValidatorResult` | `getCriticalResult()` Returns the critical result of this result.
    `String` | `getDescription()` Returns the description of this result.
    `String[]` | `getReasons()` Returns an array containing the failure reasons.
    `EDOCValidatorResult[]` | `getResults()` Returns an array of the results contained by this result.
    `EDOCValidatorResult` | `getSignatureResult(String signatureId)` Returns the result representing the signature by the specified id.
    `int` | `getType()` Returns the type of this result.
    `Date` | `getValidationDate()` Returns the time when this check was performed.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CHECK_STATUS_PASSED

          public static final int CHECK_STATUS_PASSED

      Status indicates that the check is successful.
      See Also:
        Constant Field Values

    - #### CHECK_STATUS_FAILED

          public static final int CHECK_STATUS_FAILED

      Status indicates that the check failed.
      See Also:
        Constant Field Values

    - #### CHECK_STATUS_NOT_CHECKED

          public static final int CHECK_STATUS_NOT_CHECKED

      Status indicates that the check has not failed but there is insufficient information to determine if the check is valid.
      See Also:
        Constant Field Values

    - #### TYPE_ROOT

          public static final int TYPE_ROOT

      Result type - ROOT.
      See Also:
        Constant Field Values

    - #### TYPE_STRUCTURE

          public static final int TYPE_STRUCTURE

      Result type - EDOC structure.
      See Also:
        Constant Field Values

    - #### TYPE_PACKAGE_RELATIONSHIPS

          public static final int TYPE_PACKAGE_RELATIONSHIPS

      Result type - EDOC structure - package ralationships.
      See Also:
        Constant Field Values

    - #### TYPE_MANIFEST_RELATIONSHIPS

          public static final int TYPE_MANIFEST_RELATIONSHIPS

      Result type - EDOC structure - manifest ralationships.
      See Also:
        Constant Field Values

    - #### TYPE_PROPERTIES

          public static final int TYPE_PROPERTIES

      Result type - EDOC properties.
      See Also:
        Constant Field Values

    - #### TYPE_PROPERTIES_CORE

          public static final int TYPE_PROPERTIES_CORE

      Result type - EDOC properties - core.
      See Also:
        Constant Field Values

    - #### TYPE_PROPERTIES_BASE

          public static final int TYPE_PROPERTIES_BASE

      Result type - EDOC properties - base.
      See Also:
        Constant Field Values

    - #### TYPE_PROPERTIES_EXTENDED

          public static final int TYPE_PROPERTIES_EXTENDED

      Result type - EDOC properties - extended.
      See Also:
        Constant Field Values

    - #### TYPE_SIGNATURE

          public static final int TYPE_SIGNATURE

      Result type - EDOC signature.
      See Also:
        Constant Field Values

    - #### TYPE_SIGNATURE_STRUCTURE

          public static final int TYPE_SIGNATURE_STRUCTURE

      Result type - EDOC signature - structure.
      See Also:
        Constant Field Values

    - #### TYPE_SIGNATURE_PROPERTIES

          public static final int TYPE_SIGNATURE_PROPERTIES

      Result type - EDOC signature - properties.
      See Also:
        Constant Field Values

    - #### TYPE_SIGNATURE_VALUE

          public static final int TYPE_SIGNATURE_VALUE

      Result type - EDOC signature - value.
      See Also:
        Constant Field Values

    - #### TYPE_SIGNATURE_REFERENCE

          public static final int TYPE_SIGNATURE_REFERENCE

      Result type - EDOC signature - reference.
      See Also:
        Constant Field Values

    - #### TYPE_SIGNATURE_CERT_PATH_BUILD

          public static final int TYPE_SIGNATURE_CERT_PATH_BUILD

      Result type - EDOC signature certificate - chain build.
      See Also:
        Constant Field Values

    - #### TYPE_SIGNATURE_CERT_PATH_CHECK

          public static final int TYPE_SIGNATURE_CERT_PATH_CHECK

      Result type - EDOC signature certificate - chain check [OCSP].
      See Also:
        Constant Field Values

    - #### TYPE_SIGNATURE_CERT_PATH_CRL_CHECK

          public static final int TYPE_SIGNATURE_CERT_PATH_CRL_CHECK

      Result type - EDOC signature certificate - chain check [CRL].
      See Also:
        Constant Field Values

    - #### TYPE_SIGNATURE_TIMESTAMP

          public static final int TYPE_SIGNATURE_TIMESTAMP

      Result type - EDOC signature timestamp.
      See Also:
        Constant Field Values

    - #### TYPE_SIGNATURE_TIMESTAMP_CERT_PATH

          public static final int TYPE_SIGNATURE_TIMESTAMP_CERT_PATH

      Result type - EDOC signature timestamp - certificate chain check [OCSP].
      See Also:
        Constant Field Values

    - #### TYPE_SIGNATURE_TIMESTAMP_CERT_PATH_CRL

          public static final int TYPE_SIGNATURE_TIMESTAMP_CERT_PATH_CRL

      Result type - EDOC signature timestamp - certificate chain check [CRL].
      See Also:
        Constant Field Values

    - #### TYPE_XADES_C

          public static final int TYPE_XADES_C

      Result type - XAdES-C.
      See Also:
        Constant Field Values

    - #### TYPE_XADES_C_CERT_PATH_BUILD

          public static final int TYPE_XADES_C_CERT_PATH_BUILD

      Result type - XAdES-C - chain build.
      See Also:
        Constant Field Values

    - #### TYPE_XADES_C_TRUSTED_ROOT

          public static final int TYPE_XADES_C_TRUSTED_ROOT

      Result type - XAdES-C - chain trusted root.
      See Also:
        Constant Field Values

    - #### TYPE_XADES_C_OCSP_RESPONSE

          public static final int TYPE_XADES_C_OCSP_RESPONSE

      Result type - XAdES-C - OCSP response.
      See Also:
        Constant Field Values

    - #### TYPE_XADES_C_OCSP_CERT_PATH_BUILD

          public static final int TYPE_XADES_C_OCSP_CERT_PATH_BUILD

      Result type - XAdES-C - OCSP chain build.
      See Also:
        Constant Field Values

    - #### TYPE_XADES_C_OCSP_CERT_PATH_CHECK

          public static final int TYPE_XADES_C_OCSP_CERT_PATH_CHECK

      Result type - XAdES-C - OCSP chain check.
      See Also:
        Constant Field Values

    - #### TYPE_XADES_C_TSA_CERT_PATH_BUILD

          public static final int TYPE_XADES_C_TSA_CERT_PATH_BUILD

      Result type - XAdES-C - TSA chain build.
      See Also:
        Constant Field Values

    - #### TYPE_XADES_C_TSA_TRUSTED_ROOT

          public static final int TYPE_XADES_C_TSA_TRUSTED_ROOT

      Result type - XAdES-C - TSA chain trusted root.
      See Also:
        Constant Field Values

    - #### TYPE_XADES_C_TSA_CERT_PATH_CHECK

          public static final int TYPE_XADES_C_TSA_CERT_PATH_CHECK

      Result type - XAdES-C - TSA chain check.
      See Also:
        Constant Field Values

    - #### TYPE_XADES_C_TIMESTAMP_TIME

          public static final int TYPE_XADES_C_TIMESTAMP_TIME

      Result type - XAdES-C - timestamp time.
      See Also:
        Constant Field Values

    - #### TYPE_XADES_C_CRL_TSA

          public static final int TYPE_XADES_C_CRL_TSA

      Result type - XAdES-C - TSA CRL.
      See Also:
        Constant Field Values

    - #### TYPE_XADES_C_CRL_OCSP

          public static final int TYPE_XADES_C_CRL_OCSP

      Result type - XAdES-C - OCSP CRL.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getType

          public int getType()

      Returns the type of this result.
      Returns:
        the type of this result.

    - #### getCheckStatus

          public int getCheckStatus()

      Returns the status of this result.
      Returns:
        the status of this result.

    - #### getSignatureResult

          public EDOCValidatorResult getSignatureResult(String signatureId)

      Returns the result representing the signature by the specified id.
      Parameters:
        `signatureId` - the signature's id.
      Returns:
        the result.

    - #### getCriticalResult

          public EDOCValidatorResult getCriticalResult()

      Returns the critical result of this result.
      Returns:
        the critical result of this result.

    - #### getDescription

          public String getDescription()

      Returns the description of this result.
      Returns:
        the description of this result.

    - #### getValidationDate

          public Date getValidationDate()

      Returns the time when this check was performed.
      Returns:
        the time when this check was performed.

    - #### getResults

          public EDOCValidatorResult[] getResults()

      Returns an array of the results contained by this result.
      Returns:
        an array of the results contained by this result.

    - #### getReasons

          public String[] getReasons()

      Returns an array containing the failure reasons.
      Returns:
        an array containing the failure reasons.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO